//
//  BWViewController.m
//  Popupinator
//
//  Created by Mark Dalrymple on 12/29/12.
//  Copyright (c) 2012 Mark Dalrymple. All rights reserved.
//

#import "BWViewController.h"

#import "BWSubViewController.h"

#import "FPPopoverController.h"

enum {
    kArrowUp,
    kArrowDown,
    kArrowLeft,
    kArrowRight,
    kArrowHorizontal,
    kArrowVertical,
    kArrowNone,
    kArrowAny
};


@interface BWViewController ()
@property (strong, nonatomic) FPPopoverController *popover;

@end // extension


@implementation BWViewController


- (IBAction) tints: (id) sender {
    switch (random() % 4) {
    case 0: self.popover.tint = FPPopoverBlackTint;  break; // default
    case 1: self.popover.tint = FPPopoverLightGrayTint;  break;
    case 2: self.popover.tint = FPPopoverGreenTint;  break;
    case 3: self.popover.tint = FPPopoverRedTint; break;
    default: assert(!"shouldn't happen");
    }

    [self.popover presentPopoverFromView: sender];

} // tints



- (IBAction) setArrow: (UISegmentedControl *) arrows {
    switch (arrows.selectedSegmentIndex) {
    case kArrowUp:
        self.popover.arrowDirection = FPPopoverArrowDirectionUp;
        break;
    case kArrowDown:
        self.popover.arrowDirection = FPPopoverArrowDirectionDown;
        break;
    case kArrowLeft:
        self.popover.arrowDirection = FPPopoverArrowDirectionLeft;
        break;
    case kArrowRight:
        self.popover.arrowDirection = FPPopoverArrowDirectionRight;
        break;
    case kArrowHorizontal:
        self.popover.arrowDirection = FPPopoverArrowDirectionHorizontal;
        break;
    case kArrowVertical:
        self.popover.arrowDirection = FPPopoverArrowDirectionVertical;
        break;
    case kArrowNone:
        self.popover.arrowDirection = FPPopoverNoArrow;
        break;
    case kArrowAny:
        self.popover.arrowDirection = FPPopoverArrowDirectionAny;
        break;
    default:
        assert (!"gronk!");
    }
} // setArrow


- (void) viewDidLoad {
    [super viewDidLoad];

    BWSubViewController *controller = [[BWSubViewController alloc] init];
    controller.title = @"ZOLTAR"; // optional - get thin border otherwise
    self.popover = [[FPPopoverController alloc] initWithViewController: controller];

    // Defines a maximum boundary for content.
    // actual content area may vary according to what is found to be the optimal size
    self.popover.contentSize = controller.view.bounds.size;

} // viewDidLoad


@end // BWViewController
